-- BA/20100510: New field added to the Rooms table from version 4.3
IF NOT EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'DoubleBookingAllowed'
    AND SysObjects.Name = 'Rooms'
)
  ALTER TABLE Rooms ADD  DoubleBookingAllowed BIT



